MBR(8)

NAME
mbr - LANDISK-specific Master Boot Record

SYNOPSIS
mbr

DESCRIPTION
The MBR program comprises only one sector (512 bytes) and includes a partition table, since the disk is located in the 0th sector of the disk. Upon receiving control from the system firmware mbr will scan the partition table for an active partition and continue loading the Primary Boot Record (PBR) from the beginning of the partition, if found.

mbr is installed on the disk by fdisk(8), which is also used to operate the partition table.

The partition table consists of four entries, only one of which may be marked as “active”. The PBR is loaded from there.

DIAGNOSTICS
A few messages are printed in case of errors:

No active partition
    Indicates that none of the partitions are marked “active”.

Read error
    An error occurred while fetching the primary boot loader.

No O/S
    The partition table is empty.

SEE ALSO
boot(8), boot_landisk(8), bootxx(8), disklabel(8), fdisk(8)